<?php
//#!/usr/bin/php -q

// Load our db library - mysql only for now.
require_once('database.inc');

// Load some functions borrowed from www.drupal.org
require_once('drupal.inc');

// Load out private functions
require_once('functions.inc');

require_once('config.inc');

// You shouldn't have to change anything else below
if ($argc > 1) {
  // Check if we've been passed an id to do a refresh
  if ($argc == 2) {
    $id = $argv[1];
  }
  else {
    // Being run from the command line
    $newslink->src = $argv[1];
    $newslink->url = $argv[2];
    $newslink->regex = $argv[3];
    $newslink->href = $argv[4];
    $newslink->title = $argv[5];
    $newslink->text = $argv[6];
    $newslink->keyword = $argv[7];
    $newslink->strip = $argv[8];
    $newslink->base_url = $argv[9];
    $newslink->limit = $argv[10];
    //print var_dump($newslink);
  }
} else {
  // Called from a browser
  array_map("html_entity_decode", $_GET);
  if ($_GET['id']) {
    $id = $_GET['id'];
  }
  else {
    $newslink->src = $_GET['src'];
    $newslink->url = $_GET['url'];
    $newslink->regex = $_GET['regex'];
    $newslink->href = $_GET['href'];
    $newslink->title = $_GET['title'];
    $newslink->text = $_GET['text'];
    $newslink->keyword = $_GET['keyword'];
    $newslink->strip = $_GET['strip'];
    $newslink->base_url = $_GET['base_url'];
    $newslink->limit = $_GET['limit'];
    //print var_dump($newslink);
  }
}


if ($id) {
  $newslink = load_site($id);
  var_list($newslink);
  find_news($newslink);
}
else {
  $id = find_news($newslink);
}

print rss_news($id);

?>
